Subject: [Disman] anyone ever used traceRouteCtlMiscOptions?

From: Juergen Quittek <[email-masked]>
Date: Mon, 18 Jul 2005 19:54:08 +0200

Dear all,

I have a question concerning object  traceRouteCtlMiscOptions
in the DISMAN-TRACEROUTE-MIB. It is defined as follows:

 traceRouteCtlMiscOptions OBJECT-TYPE
    SYNTAX      SnmpAdminString
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "Enables an application to specify implementation
        dependent options."
    DEFVAL { ''H }
    ::= { traceRouteCtlEntry 15 }

It can serve for passing additional, non-standardized parameters to remote
traceroute execution.  The standard does not give a hint what it could be
used for.

The question to the group is:

Has anyone ever used this object or at least implemented it?

If not, Juergen S. suggest to deprecate or obsolete it:

--On 5/3/2005 5:15 PM +0200 Juergen Schoenwaelder wrote:
> - I am wondering what traceRouteCtlMiscOptions is good for other than
>   proprietary extensions which IMHO should go into table augmentations.
>   Otherwise, we could put opaque options in almost all tables. I suggest
>   to document how this object is actually used by existing implementations
>   or to deprecate or even obsolete it.

Thanks,

    Juergen Q.
-- 
Juergen Quittek        [email-masked]       Tel: +49 6221 90511-15
NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.netlab.nec.de